Subject: Re: [PATCH] Probe Efika platform before CHRP.

From: Sylvain Munaut <[email-masked]>
Date: Mon, 08 Jan 2007 16:44:23 +0100

Sylvain Munaut wrote:
> 1) What I think should absolutely be fixed : (non compliancy
> with the ieee1275 document are marked as bug) :
>  - PSC init (for PSC2 and PSC6 you said as well): Theses
>    are obviously bugs, no argument there.
>  - Missing IRQ for the sound node : Again, this is obviously
>    missing, the interrupt does exists and it should be in the
>    dt, whether or not you think the driver will use it or not.
>  - Partition numbering problem (again, an obvious bug)
>  - Double \0 : This one is a bug (just confirmed it re-reading
>    the specs) Altough I must admit the kernel just won't care
>    it's nevertheless a bug and should be
>  - "chrp" type : If I understood correctly your previous mail
>    you're ok with it.
>  - "memory" type of the SRAM: I quote the 1275.pdf, section
>    3.7.6 : "In this context, 'memory' refers to traditional
>    RAM, suitable for temporary storage of data". I think we
>    can agree sram is not conventionnal RAM. You're free (and
>    should) still use the reg and available property but not
>    the type ram. I must also say that the current fixup I
>    implemented doesn't really work because this can only be
>    fixed too late ... (node already processed and added as
>    normal memory).
>   
Oops, forgot something here as well :
 Check for typo, for example "#interuppt-cells" vs "#interrupt-cells"

    Sylvain